<?php

function gd_pbl_listings_page() {
global $wpdb;

	function getPackageDuration($id){
	global $wpdb;
		$package = $wpdb->get_row("SELECT duration FROM wp_pbl_packages WHERE id = $id");
		if($package->duration==0){
			return 0;
		}else{
			if($package->duration==1){
				return "+1 month";
			}else{
				return "+".$package->duration." months";
			}
		}
	}

	if($_POST['action']=="add_listing"){
		$name=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_name']));
		$logo_url=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_logo_url']));
		$description=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_description']));
		$phone=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_phone']));
		$url=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_url']));
		$email=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_email']));
		$address=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_address']));
		$city=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_city']));
		$state=$_POST['gd_pbl_listing_state'];
		$zip=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_zip']));
		$cat_id=$_POST['gd_pbl_listing_cat_id'];
		$pkg_id=$_POST['gd_pbl_listing_pkg_id'];
		$time_listed=time();

		$durmonths=getPackageDuration($pkg_id);
		$time_expired=strtotime($durmonths);

		$wpdb->insert('wp_pbl_listings',array('name'=>$name,'logo_url'=>$logo_url,'description'=>$description,'phone'=>$phone,'url'=>$url,'email'=>$email,'address'=>$address,'city'=>$city,'state'=>$state,'zip'=>$zip,'cat_id'=>$cat_id,'pkg_id'=>$pkg_id,'time_listed'=>$time_listed,'time_expired'=>$time_expired,'active'=>1));
	}

	if($_POST['action']=="delete_listing"){
		$id=$_POST['gd_pbl_listing_id'];
		$wpdb->query("DELETE FROM wp_pbl_listings WHERE id=$id");
	}

	if($_POST['action']=="activate_listing"){
		$id=$_POST['gd_pbl_listing_id'];
		$wpdb->update('wp_pbl_listings',array('active'=>1),array('id'=>$id));
	}

	function getCategoryName($id){
	global $wpdb;
		$category = $wpdb->get_row("SELECT name FROM wp_pbl_categories WHERE id = $id");
		if($category->name==""){
			return "--";
		}else{
			return $category->name;
		}
	}
	
	function getPackageName($id){
	global $wpdb;
		$package = $wpdb->get_row("SELECT name FROM wp_pbl_packages WHERE id = $id");
		if($package->name==""){
			return "--";
		}else{
			return $package->name;
		}
	}
	
	function getCategoryList(){
	global $wpdb;
		$categories = $wpdb->get_results("SELECT id,name FROM wp_pbl_categories");
		if(count($categories)==0){
			echo "No categories are currently set up.";
		}elseif(count($categories)==1){
			foreach($categories as $cat){
				$id=$cat->id;
				$name=stripslashes($cat->name);
				echo "<em>$name</em><input type='hidden' name='gd_pbl_listing_cat_id' value='$id' />";
			}
		}else{
			echo "<select name='gd_pbl_listing_cat_id'>";
			foreach($categories as $cat){
				$id=$cat->id;
				$name=stripslashes($cat->name);
				echo "<option value='$id' $sel>$name</option>";
			}
			echo "</select>";
		}
	}
	
	function getPackageList(){
	global $wpdb;
		$packages = $wpdb->get_results("SELECT id,name FROM wp_pbl_packages");
		if(count($packages)==0){
			echo "No packages are currently set up. You MUST set up at least one package for this plugin to work properly.";
		}elseif(count($packages)==1){
			foreach($packages as $pkg){
				$id=$pkg->id;
				$name=stripslashes($pkg->name);
				echo "<em>$name</em><input type='hidden' name='gd_pbl_listing_pkg_id' value='$id' />";
			}
		}else{
			echo "<select name='gd_pbl_listing_pkg_id'>";
			foreach($packages as $pkg){
				$id=$pkg->id;
				$name=stripslashes($pkg->name);
				echo "<option value='$id' $sel>$name</option>";
			}
			echo "</select>";
		}
	}

?>

<div class="wrap">
<h2>Active GD Paid Business Listings</h2>

<table class="gdadmin">
<tr class="headrow"><td>Company Name</td><td>Logo</td><td width="300">Listing Content</td><td>Category</td><td>Package</td><td>Listed</td><td>Expired</td><td>&nbsp;</td></tr>

<?php
global $wpdb;
$listings=$wpdb->get_results("SELECT id,name,logo_url,description,phone,url,email,address,city,state,zip,cat_id,pkg_id,time_listed,time_expired FROM wp_pbl_listings WHERE active='1'");

foreach($listings as $listing){
	$id=$listing->id;
	$name=stripslashes($listing->name);
	$logo="<img src=\"".stripslashes($listing->logo_url)."\" width=\"100\" />";
	$description=stripslashes($listing->description);
	$phone=stripslashes($listing->phone);
	$url=stripslashes($listing->url);
	$email=stripslashes($listing->email);
	$address=stripslashes($listing->address);
	$city=stripslashes($listing->city);
	$state=stripslashes($listing->state);
	$zip=stripslashes($listing->zip);
	$cat_id=stripslashes(getCategoryName($listing->cat_id));
	$pkg_id=stripslashes(getPackageName($listing->pkg_id));
	$time_listed=date("M j, Y",$listing->time_listed);
	$time_expired=date("M j, Y",$listing->time_expired);
	
	echo "<tr class='datarow'><td>$name</td><td>$logo</td><td><strong>Description:</strong> $description<br /><strong>Phone:</strong> $phone<br /><strong>URL:</strong> $url<br /><strong>Email:</strong> $email<br /><strong>Address:</strong> $address, $city, $state $zip</td><td>$cat_id</td><td>$pkg_id</td><td>$time_listed</td><td>$time_expired</td><td align='center'>";
	echo "<form method='post' action='?page=gd_pbl_settings_edit_listings'><input type='hidden' name='action' value='edit_listing' /><input type='hidden' name='gd_pbl_listing_id' value='$id' /><input type='submit' class='button-secondary' value='Edit Listing' /></form>";
	echo "<form method='post'><input type='hidden' name='action' value='delete_listing' /><input type='hidden' name='gd_pbl_listing_id' value='$id' /><input type='submit' class='button-secondary' value='Delete Listing' /></form>";
	echo "</td></tr>";
}

?>

</table>

<h2>Inactive GD Paid Business Listings</h2>

<table class="gdadmin">
<tr class="headrow"><td>Company Name</td><td>Logo</td><td width="300">Listing Content</td><td>Category</td><td>Package</td><td>Listed</td><td>Expired</td><td>&nbsp;</td></tr>

<?php
global $wpdb;
$listings=$wpdb->get_results("SELECT id,name,logo_url,description,phone,url,email,address,city,state,zip,cat_id,pkg_id,time_listed,time_expired FROM wp_pbl_listings WHERE active='0'");

foreach($listings as $listing){
	$id=$listing->id;
	$name=stripslashes($listing->name);
	$logo="<img src=\"".stripslashes($listing->logo_url)."\" width=\"100\" />";
	$description=stripslashes($listing->description);
	$phone=stripslashes($listing->phone);
	$url=stripslashes($listing->url);
	$email=stripslashes($listing->email);
	$address=stripslashes($listing->address);
	$city=stripslashes($listing->city);
	$state=stripslashes($listing->state);
	$zip=stripslashes($listing->zip);
	$cat_id=stripslashes(getCategoryName($listing->cat_id));
	$pkg_id=stripslashes(getPackageName($listing->pkg_id));
	$time_listed=date("M j, Y",$listing->time_listed);
	$time_expired=date("M j, Y",$listing->time_expired);
	
	echo "<tr class='datarow'><td>$name</td><td>$logo</td><td><strong>Description:</strong> $description<br /><strong>Phone:</strong> $phone<br /><strong>URL:</strong> $url<br /><strong>Email:</strong> $email<br /><strong>Address:</strong> $address, $city, $state $zip</td><td>$cat_id</td><td>$pkg_id</td><td>$time_listed</td><td>$time_expired</td><td align='center'>";
	echo "<form method='post'><input type='hidden' name='action' value='activate_listing' /><input type='hidden' name='gd_pbl_listing_id' value='$id' /><input type='submit' class='button-secondary' value='Activate Listing' /></form>";
	echo "<form method='post' action='?page=gd_pbl_settings_edit_listings'><input type='hidden' name='action' value='edit_listing' /><input type='hidden' name='gd_pbl_listing_id' value='$id' /><input type='submit' class='button-secondary' value='Edit Listing' /></form>";
	echo "<form method='post'><input type='hidden' name='action' value='delete_listing' /><input type='hidden' name='gd_pbl_listing_id' value='$id' /><input type='submit' class='button-secondary' value='Delete Listing' /></form>";
	echo "</td></tr>";
}

?>

</table>


<h3>Create A New Listing</h3>
<p>NOTE: For listings that are added manually, payment is expected to have been obtained externally. In other words, this plugin doesn't send a bill or anything. You gotta get the money yourself.</p>
<form method="post"><input type="hidden" name="action" value="add_listing" />
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Company Name</th>
        <td><input type="text" name="gd_pbl_listing_name" value="" size="56" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Logo URL</th>
        <td><input type="text" name="gd_pbl_listing_logo_url" value="" size="56" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Business Description</th>
        <td><textarea name="gd_pbl_listing_description" cols="50" rows="2"></textarea></td>
        </tr>

        <tr valign="top">
        <th scope="row">Business Phone</th>
        <td><input type="text" name="gd_pbl_listing_phone" value="" size="56" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Website URL</th>
        <td><input type="text" name="gd_pbl_listing_url" value="" size="56" /></td>
        </tr>

        <tr valign="top">
        <th scope="row">Business Email Address</th>
        <td><input type="text" name="gd_pbl_listing_email" value="" size="56" /></td>
        </tr>

        <tr valign="top">
        <th scope="row">Street Address</th>
        <td><input type="text" name="gd_pbl_listing_address" value="" size="56" /></td>
        </tr>

        <tr valign="top">
        <th scope="row">City/State/Zip</th>
        <td>
        <input type="text" name="gd_pbl_listing_city" value="" size="20" /> 
        <select name="gd_pbl_listing_state">
        	<option value="AK">AK</option>
			<option value="AL">AL</option>
			<option value="AR">AR</option>
			<option value="AZ">AZ</option>
			<option value="CA">CA</option>
			<option value="CO">CO</option>
			<option value="CT">CT</option>
			<option value="DC">DC</option>
			<option value="DE">DE</option>
			<option value="FL">FL</option>
			<option value="GA">GA</option>
			<option value="HI">HI</option>
			<option value="IA">IA</option>
			<option value="ID">ID</option>
			<option value="IL">IL</option>
			<option value="IN">IN</option>
			<option value="KS">KS</option>
			<option value="KY">KY</option>
			<option value="LA">LA</option>
			<option value="MA">MA</option>
			<option value="MD">MD</option>
			<option value="ME">ME</option>
			<option value="MI">MI</option>
			<option value="MN">MN</option>
			<option value="MO">MO</option>
			<option value="MS">MS</option>
			<option value="MT">MT</option>
			<option value="NC">NC</option>
			<option value="ND">ND</option>
			<option value="NE">NE</option>
			<option value="NH">NH</option>
			<option value="NJ">NJ</option>
			<option value="NM">NM</option>
			<option value="NV">NV</option>
			<option value="NY">NY</option>
			<option value="OH">OH</option>
			<option value="OK">OK</option>
			<option value="OR">OR</option>
			<option value="PA">PA</option>
			<option value="RI">RI</option>
			<option value="SC">SC</option>
			<option value="SD">SD</option>
			<option value="TN" selected="selected">TN</option>
			<option value="TX">TX</option>
			<option value="UT">UT</option>
			<option value="VA">VA</option>
			<option value="VT">VT</option>
			<option value="WA">WA</option>
			<option value="WI">WI</option>
			<option value="WV">WV</option>
			<option value="WY">WY</option>
        </select>
        <input type="text" name="gd_pbl_listing_zip" value="" size="10" /> 
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Category</th>
        <td>
        <?php getCategoryList(); ?>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Package</th>
        <td>
        <?php getPackageList(); ?>
        </td>
        </tr>

    </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="Create Listing" />
    </p>

</form>
</div>
<?php }